%global __filter_GLIBC_PRIVATE 1

Name:		yp-tools
Version:	4.2.3
Release:        7
Summary:	Network Information Service (YP) client utilities
License:	GPLv2
URL:		https://github.com/thkukuk/yp-tools
Source0:	https://github.com/thkukuk/yp-tools/archive/v%{version}.tar.gz
Patch0: 	yp-tools-2.12-hash.patch
Patch1: 	yp-tools-2.12-crypt.patch
Patch2: 	yp-tools-2.12-adjunct.patch
Patch3: 	yp-tools-4.2.2-strict-prototypes.patch
Patch4: 	fix-to-replace-random-with-RAND_priv_bytes.patch

BuildRequires:	git autoconf automake libtool
BuildRequires:  gettext-devel libtirpc-devel libnsl2-devel openssl-devel
Requires:	ypbind >= 3:2.4-2 glibc openssl-libs haveged

%description
This package provides NIS client programs.NIS,Network Information
Service,provides passwords,groupinformation and other network information
to machines on a network.It is also known as Sun Yellow Pages.
You need to install ypbind on machine which runs NIS programs.

%package	help
Summary: 	Doc files for yp-tools
Buildarch:	noarch

%description 	help
The help package contains doc files for yp-tools.

%prep
%autosetup -n %{name}-%{version} -p1 -S git
autoreconf -ifv

%build
export CFLAGS="$CFLAGS %{optflags} -Wno-cast-function-type -lcrypto"
%configure --disable-domainname
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS THANKS etc/nsswitch.conf
%{_sbindir}/*
%{_bindir}/*
/var/yp/nicknames

%files help
%doc README NEWS ChangeLog
%{_mandir}/*/*

%changelog
* Thu Feb 01 2024 xingwei <xingwei14@h-partners.com> - 4.2.3-7
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:add haveged requires and optimize random number function replacement patch

* Fri Jun 10 2022 gaihuiying <eaglegai@163.com> - 4.2.3-6
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:replace random with RAND_priv_bytes

* Tue Dec 15 2020 xihaochen <xihaochen@huawei.com> - 4.2.3-5
- Type:requirement
- ID:NA
- SUG:NA
- DESC:update url

* Thu Nov 7 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.2.3-4
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the release

* Fri Aug 30 2019 luhuaxin <luhuaxin@huawei.com> - 4.2.3-3
- Package init
